import React, { useState, useEffect } from 'react';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { Radio } from 'antd';
import User from './User';

import request from '../../../utils/request';
import apis from '../../../services/apis';

export default (props) => {
  const [ tab, changeTab ] = useState(1);

  // useEffect(() => {
  //   request({ ...apis.user.current }).then()
  // })

  return (
    <PageHeaderWrapper>
      <div>
        <Radio.Group value={tab} buttonStyle="solid" onChange={e => changeTab(e.target.value)}>
          <Radio.Button value={1}>主信息</Radio.Button>
          <Radio.Button value={2}>小程序</Radio.Button>
        </Radio.Group>
      </div>
      <div>
        { tab === 1 ? <User /> : null}
      </div>
    </PageHeaderWrapper>
  );
}
